D4Science Infrastructure - Task #3070

Provide a way of starting and stopping a list of VMs by some users

Mar 30, 2016 02:49 PM - Andrea Dell'Amico

Status: Closed Start date: Mar 30, 2016
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development, Production

Description

A web page with a fixed - and checkable - list of hosts should be sufficient.

Associated actions (via a simple cgi script): poweroff and startup

Bonus: the possibility to change the RAM and/or the number of CPU cores.

The cgi and web page can be hosted on cm.research-infrastructures.eu, and the cm's ssh key used to connect to the hypervisors.

https and authentication are mandatory.

Related issues:

Related to D4Science Infrastructure - Support #2134: Enhancing Statistical Ma... Closed

Feb 04, 2016

History

#1 - Mar 30, 2016 02:50 PM - Andrea Dell'Amico

- Related to Support #2134: Enhancing Statistical Manager performance added

#2 - Oct 31, 2016 06:26 PM - Andrea Dell'Amico
- Status changed from New to Closed

- % Done changed from 0 to 100

Services have evolved in a different way. Not needed anymore.

Aug 08, 2025
